# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# khtml::CachedScript Class Reference

a cached script More...

`#include <loader.h>`

Collaboration diagram for khtml::CachedScript:

[legend]
List of all members.

## Public Member Functions

| CachedScript (DocLoader *dl, const DOM::DOMString &url, KIO::CacheControl cachePolicy, time_t _expireDate, const QString &charset)
| CachedScript (const DOM::DOMString &url, const QString &script_data)
const DOM::DOMString & | script () const
virtual void | ref (CachedObjectClient *consumer)
virtual void | deref (CachedObjectClient *consumer)
virtual void | data (QBuffer &buffer, bool eof)
virtual void | error (int err, const char *text)
virtual bool | schedule () const
void | checkNotify ()
bool | isLoaded () const

## Protected Attributes

DOM::DOMString | m_script
QTextCodec * | m_codec

## Detailed Description

a cached script

Definition at line 212 of file loader.h.

The documentation for this class was generated from the following files:

- loader.h
- loader.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:40:10 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001